Package org.apache.sysds.runtime.compress.lib

## Class CLALibReorg

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibReorg

    public class CLALibReorg
    extends Object

### Field Summary

Fields
`static boolean` `warned`

### Constructor Summary

Constructors
`CLALibReorg()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `reorg​(CompressedMatrixBlock cmb, ReorgOperator op, MatrixBlock ret, int startRow, int startColumn, int length)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### warned

    public static boolean warned

### Constructor Detail

#### CLALibReorg

    public CLALibReorg()

### Method Detail

#### reorg

    public static MatrixBlock reorg​(CompressedMatrixBlock cmb,
                                    ReorgOperator op,
                                    MatrixBlock ret,
                                    int startRow,
                                    int startColumn,
                                    int length)